#ifndef DIALOG_H
#define DIALOG_H

#include <QtGui/QDialog>
#include <QTimer>
#include "pa.h"

namespace Ui
{
    class Dialog;
}

class Dialog : public QDialog
{
    Q_OBJECT

public:
    Dialog(QWidget *parent = 0);
    ~Dialog();

public slots:
    void on_pushButton_p10_clicked();
    void on_pushButton_p1_clicked();
    void on_pushButton_m10_clicked();
    void on_pushButton_m1_clicked();
    void on_horizontalSlider_speed_valueChanged(int);
    void on_pushButton_start_clicked();
    void tick();

private:
    Ui::Dialog *ui;
    quint16 bpm;
    quint16 beats;
    bool started;
    pa pan;
    QTimer timer;

    void fix_speed(quint16); // 10 to 220
    void adjust_speed(qint16); // -10 -1 +1 +10
    void update_speed_label();
};

#endif // DIALOG_H
